---
title: "De-Googling Myself"
date: "2024-05-14"
summary: "How I shifted my entire online presence to more privacy-focused platforms"
---

Recent life events have made me more cognisant of my digital footprint and online privacy. So much so that I'm paying for one of those services that sends data removal requests automatically on your behalf. But over the weekend I realised... how much data am I still giving to the tech giants? So I sat down and spent many hours moving away from those platforms.

## Stepping Away From Microsoft

I had moved from Windows to Linux a month ago, but I was still using a relatively recent acquisition of theirs: GitHub. Now, sure, the privacy concerns of having access to my (99%) open source projects are definitely much smaller than giving a company access to my search history, entire internet history, or even my phone.

But still, I knew there had to be a better option. So I moved all of my repositories over to CodeBerg - which had quite a few attractive aspects:

- It's FOSS!
- It's run by a non-profit
- They seem very privacy focused

They had this pretty slick option to import a repository from GitHub, using a PAT to copy over everything including issues and pull requests. I tried that for a few repos, but with a fairly extensive open-source history I quickly hit rate limits. I'm a rather impatient girl, so I decided to go the nuclear route - wipe my local .git directory, re-initialise from the main branch, and push the changes to the new remote creating a fresh history.

I didn't bother to preserve my old archives, either - nuked those entirely. It felt oddly liberating to unload four years of development history, and I have to say my notifications have become vastly more manageable. I do worry about diminished contributor activity, but on the flip side that'll free me up to focus on more paid work.

## Removing Google

Google was an entirely different beast. I had used my GMail account for years. I had so many accounts that were OAuth sign-in through Google. There was a LOT to migrate.

Step one was to decide on a new email provider. I had some pleasant experiences with Migadu for custom domain emails, but the limit on number of messages you could send/receive was concerning with how many different client inboxes I manage. With the help of the De-Googling subreddit, I landed on Proton Mail - trading a cap on send/receive for a cap on the number of email aliases I could set up.

But because Proton Mail supports the + trick? I could turn an alias like accounts into an infinite number - and that's exactly what I did. When going through every single account in my password manager, I decided to give each of them an accounts+platform email so that I could track where some of the random spam emails came from (and know who's selling my data).

Once I had all that done, I created a personal calendar in Proton and set up my work calendars as imports just so I could see the events. Proton offers drive storage as well, albeit with a significantly smaller limit than what I had through Google One. But it worked for my essential files - I just had to give up on the 500 outfits I had for my old VTuber model.

Finally, I set up FreeTube to give myself a way to continue consuming random YouTube content without letting YouTube see all of my activity.

## But what about work?

Yeah, okay. Three of my clients still have me using GMail addresses. There's only so much I can do about that, like... forwarding all of my emails from there directly to my Proton inbox, and syncing my calendars to Proton.

But still, sometimes I have to sign in to view a shared Google Doc. And we use Google Chat in one of my roles. So I run those exclusively through private Tor windows with Brave. It's certainly not perfect, but I work with what I've got.

## Don't you have an Android?

I do. Which, I was totally ready to flash GrapheneOS on it. Or heck, even just root it so I could toss all the Google bloat. But it turns out the Samsung Galaxy phones with the Snapdragon processors can't be bootloader-unlocked (at least not yet?). Which make both of those pretty much impossible to do.

I can't afford to go out and buy a new phone right now (donate to me please), and wouldn't know what to get even if I could. So I made the most of what I had and used a debloater tool to force-uninstall the stuff I didn't want. It's still there in the system files, and will come back if I do an update or a factory reset. But then I'll just remove it again.

And none of my Google accounts are signed in on my phone anymore (which has the added bonus of not bringing work with me everywhere I go!).

## I know none of this is perfect...

I'm not a privacy expert. I'm still doing a lot of research, refining my approaches, figuring out what "privacy-focused" apps are actually not.

So if you have a suggestion for how I can better lock down my stuff, while still keeping communication channels available for folks who want to commission me or contribute to my projects, please feel free to drop a comment! I'm always happy to learn new things!