---
title: "Networking"
date: "2025-07-08"
summary: "How to forge meaningful connections that will advance your career"
---

People often ask me how I found my success. And the answer is really a strange combination of unhealthy dedication and "right place, right time" luck. But I am also going to let you in on a secret:

All of my success has come through my network. Every single job opportunity, each client, it all has come through people who saw/knew what I could do and believed that I would be the right fit.

But how does one build a professional network? How do you get from "complete strangers" to job? There are a few key steps, here.

## 1. Add value before you ask for value.

I go in to every single interaction I have, and every new relationship I foster, with the mentality of "What can I do to make this person's life better?". It may seem tempting to think about what a new colleague can do for you, but that is a terrible way to form a new friendship.

Think about it: if someone only wanted to get to know you because they wanted something from you, you would feel pretty crummy, right? So why would you do the same thing to another person?

By approaching every potential connection with a genuine desire to help them out in some way, I have found that I form stronger professional relationships. Think of it more like a long-term investment. If you help someone today, they are more likely to help you tomorrow.

## 2. Learn in public.

All of my products, with the exception of confidential proprietary software built for clients, are open source. I do this for a number of reasons, the first being that I simply believe in the value open-source software adds to our industry.

But making everything open source has other benefits, too. Arguably one of the most important benefits is the fact that my entire learning journey becomes public. Version controlled repositories become roadmaps of my growth. Issue discussions become evidence of my ability to collaborate. Pull requests demonstrate my leadership proficiency.

But even with all of that, I still expand my presence. I tweet (or, post on BlueSky, rather) progress updates. My Discord community has a live log of everything I do on my Gitea instance. I share product announcements on LinkedIn.

The goal here, then, is two-fold: First, to demonstrate competence. Second, to make sure I am always at the forefront of people's minds. These are essential components in ensuring *you* are the one people reach out to with new employment opportunities.

## 3. Know your platforms.

The caveat to learning in public is to understand the target audience for each platform. LinkedIn represents my professional and polished brand. I would not use LinkedIn to post daily progress updates, because the people there are folks who I want to see my "best foot forward" in my finished results, rather than my scrappy works in progress.

BlueSky, on the other hand, might be where I post more of those "microdose" updates. The goal with a platform like that is less to present a professional brand, and more to ensure you are constantly in people's feeds. Things get buried very quickly, so this is definitely where you want the scrappier and faster content.

Something like Discord, however, creates a more personal and tight-knit community. It is in these spaces that I give folks the opportunity to get to know me. This is where I shitpost, talk about other interests, and really show who Naomi is beyond the developer.

Always keep the target audience in mind. The last thing you want to do is publish something on a platform that hurts you, rather than helping you.

## 4. Be kind.

Look, none of us are perfect. I have my bad days too. But it is critical that we put our best effort into treating people with kindness and respect. There are, of course, exceptions to that - I do not tolerate bigotry in my spaces, as an example. But it is still a decent general rule to follow.

I treat every conversation as if it might be posted publicly, or sent to my boss, or shared with my sister. I want someone who might be outside the conversation but looking in to see me in a positive light. I want my interactions to improve people's impressions of me, not detract from them.

This also strengthens my relationship with the person in question. And someone who is fond of me, who feels I respect them and treat them with dignity, is far more likely to put my name forward when they need to fill a role on their team than someone who thinks I am cruel or unkind.

It also has the extra benefit of making you **feel good**. It feels good to be kind! It is nice to see the positive effect you have on the people around you. When things get particularly rough, I like to look back on all of the people who are happier for having known me.

## 5. HAVE FUN!

A **HUGE** portion of my success comes from the fact that I love what I do. I bring positive energy, excitement, and enthusiasm into my work, my communities, and my professional relationships because being a developer and a community leader is **just plain fun**.

I get excited when I can talk about the things I am building. I give passionate presentations when the opportunity arises. My thirst for knowledge helps me stay in tune with the latest technologies. All of this helps people see just how much I love this work, and it is that endless drive which makes me a great candidate for their teams.

The more you enjoy your work, the more you subconsciously position yourself for successful connections. The more you enjoy your work, the more likely you are to find your success.

## And remember...

There is no "one true path" here. There are no guaranteed ways to land a job. There is no certainty in any of this. I share this advice because it has been my own journey to success, and I hope that it benefits some of you. But I am under no illusion that it will work for every person, every time.

But hey... What's the worst that could happen? If you follow these guidelines and *don't* get a job, at the very least you should have made some new friends. And that's always a win!
